Bug 767591 - Crash in glusterd while executing volume set command
Crash in glusterd while executing volume set command
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-12-14 08:10 EST by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2011-12-14 08:10:13 EST
Description of problem:when you try to do volume set <volumename> glusterd will crash. 


Version-Release number of selected component (if applicable): 


How reproducible:Consistently


Steps to Reproduce:
1.Just execute gluster volume set <volumename> without giving any options  


This is backtrace of the cash:

#################################################################################   #0  0x0000000000000000 in ?? ()
#1  0x00007f1a50e19c35 in xdr_sizeof () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f1a4e95ca9c in glusterd_serialize_reply (req=0x7f1a4e87b550, arg=0x0, outmsg=0x7fff7fda7f10, xdrproc=0) at glusterd-utils.c:408
#3  0x00007f1a4e95cbf5 in glusterd_submit_reply (req=0x7f1a4e87b550, arg=<value optimized out>, payload=0x0, payloadcount=0, iobref=0xff90c0, 
    xdrproc=<value optimized out>) at glusterd-utils.c:463
#4  0x00007f1a4e96e4be in glusterd_op_send_cli_response (op=<value optimized out>, op_ret=-2, op_errno=<value optimized out>, req=0x7f1a4e87b550, op_ctx=0x0, 
    op_errstr=0x7f1a4e9a9b97 "operation failed") at glusterd-rpc-ops.c:190
#5  0x00007f1a4e94b123 in glusterd_handle_set_volume (req=0x7f1a4e87b550) at glusterd-handler.c:995
#6  0x00007f1a516d3f0f in rpcsvc_handle_rpc_call (svc=0xd61140, trans=<value optimized out>, msg=<value optimized out>) at rpcsvc.c:507
#7  0x00007f1a516d4543 in rpcsvc_notify (trans=0xff7c40, mydata=<value optimized out>, event=<value optimized out>, data=0xd66660) at rpcsvc.c:603
#8  0x00007f1a516d7d18 in rpc_transport_notify (this=<value optimized out>, event=<value optimized out>, data=<value optimized out>) at rpc-transport.c:498
#9  0x00007f1a4e6728f4 in socket_event_poll_in (this=0xff7c40) at socket.c:1675
#10 0x00007f1a4e672c47 in socket_event_handler (fd=<value optimized out>, idx=11, data=0xff7c40, poll_in=1, poll_out=0, poll_err=<value optimized out>)
    at socket.c:1790
#11 0x00007f1a5191c69e in event_dispatch_epoll_handler (event_pool=0xd5a500) at event.c:794
#12 event_dispatch_epoll (event_pool=0xd5a500) at event.c:856
#13 0x0000000000406b43 in main (argc=<value optimized out>, argv=0x7fff7fda82d8) at glusterfsd.c:1601
(gdb) f 1
#1  0x00007f1a50e19c35 in xdr_sizeof () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) f 2
#2  0x00007f1a4e95ca9c in glusterd_serialize_reply (req=0x7f1a4e87b550, arg=0x0, outmsg=0x7fff7fda7f10, xdrproc=0) at glusterd-utils.c:408
408	        rsp_size = xdr_sizeof (xdrproc, arg);
(gdb) f 3
#3  0x00007f1a4e95cbf5 in glusterd_submit_reply (req=0x7f1a4e87b550, arg=<value optimized out>, payload=0x0, payloadcount=0, iobref=0xff90c0, 
    xdrproc=<value optimized out>) at glusterd-utils.c:463
463	        iob = glusterd_serialize_reply (req, arg, &rsp, xdrproc);
(gdb) f 4
#4  0x00007f1a4e96e4be in glusterd_op_send_cli_response (op=<value optimized out>, op_ret=-2, op_errno=<value optimized out>, req=0x7f1a4e87b550, op_ctx=0x0, 
    op_errstr=0x7f1a4e9a9b97 "operation failed") at glusterd-rpc-ops.c:190
190	        ret = glusterd_submit_reply (req, cli_rsp, NULL, 0, NULL,
Comment 1 Anand Avati 2011-12-19 11:58:55 EST
CHANGE: http://review.gluster.com/797 (cli: validate the volume set command properly) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.